<template>
  <div class="contact">
    <b-modal
      id="modal-center"
      :hide-footer="true"
      centered
      title="Contactez-moi"
    >
      <ul class="contact__list">
        <li class="contact__item">
          <img
            :alt="imgAltMail"
            class="contact__picto"
            src="~assets/svgs/gmail.svg"
            aria-hidden="true"
          />
          <p class="no-margin link-primary">mans.lenny@gmail.com</p>
          <a
            :href="mailUrl"
            target="_blank"
            class="contact__link stretched-link"
            title="vers mon profil linkedin"
          >
            <span class="sr-only">mans.lenny@gmail.com</span>
          </a>
        </li>
        <li class="contact__item">
          <img
            :alt="imgAltLinkedin"
            class="contact__picto"
            src="~assets/svgs/linkedin.svg"
            aria-hidden="true"
          />
          <p class="no-margin link-primary">Via mon profil Linkedin</p>
          <a
            :href="linkedinUrl"
            target="_blank"
            class="contact__link stretched-link"
            title="vers mon profil linkedin"
          >
            <span class="sr-only">Linkedin</span>
          </a>
        </li>
      </ul>
      <img
        :alt="imgAltMail"
        class="contact__picto contact__picto--deco"
        src="~assets/svgs/paper-plane.svg"
        aria-hidden="true"
      />
    </b-modal>
  </div>
</template>

<script>
export default {
  data() {
    return {
      imgAltMail: 'Par mail',
      imgAltLinkedin: 'Linkedin',
      linkedinUrl: 'https://www.linkedin.com/in/lenny-mans-125a5b135/',
      mailUrl: 'mailto:mans.lenny@gmail.com',
      gitlabUrl: 'https://gitlab.com/mans.lenny'
    }
  }
}
</script>

<style></style>
